BendTableCollection Class

class NXOpen.Annotations.BendTableCollection

Bases: object

Represents a collection of NXOpen.Annotations.BendTable objects

To obtain an instance of this class, refer to NXOpen.Annotations.AnnotationManager

New in version NX9.0.0.

Methods

Method Description
CreateBendTableBuilder If None create a new bend table, otherwise edit existing bend table
FindObject Finds the bend table with the given name.

Method Detail

CreateBendTableBuilder

BendTableCollection.CreateBendTableBuilder

If None create a new bend table, otherwise edit existing bend table

Signature CreateBendTableBuilder(bendTable)

Parameters:bendTable (NXOpen.Annotations.BendTable) – bend table
Returns:
Return type:NXOpen.Annotations.BendTableBuilder

New in version NX9.0.0.

License requirements: drafting (“DRAFTING”)

FindObject

BendTableCollection.FindObject

Finds the bend table with the given name.

An exception will be thrown if no object can be found with given name

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Identifier of the bend table to be found
Returns:bend table with this identifier
Return type:NXOpen.Annotations.BendTable

New in version NX9.0.0.

License requirements: None.